### robocode

# Class MessageEvent

- `java.lang.Object`
- - `robocode.Event`
  - - `robocode.MessageEvent`

Implemented Interfaces:
  Comparable, Serializable

`public final class MessageEvent`
`extends Event`

A MessageEvent is sent to `onMessageReceived()` when a teammate sends a message to your robot. You can use the information contained in this event to determine what to do.

Author:
  Mathew A. Nelson (original)

  ## Constructor Summary

  `MessageEvent(String sender, Serializable message)`
    Called by the game to create a new MessageEvent.

  ## Method Summary

  `Serializable`

  `getMessage()`
    Returns the message itself.

  `String`

  `getSender()`
    Returns the name of the sending robot.

  ### Methods inherited from class robocode.Event

  `compareTo`, `getPriority`, `getTime`

## Constructor Details

### MessageEvent

    public MessageEvent(String sender,
                        Serializable message)

> Called by the game to create a new MessageEvent.
> Parameters:
>   `sender` - the name of the sending robot
>   `message` - the message for your robot

## Method Details

### getMessage

    public Serializable getMessage()

> Returns the message itself.
> Returns:
>   the message

### getSender

    public String getSender()

> Returns the name of the sending robot.
> Returns:
>   the name of the sending robot